/*-- -------------------------- -->
<---       Registration         -->
<--- -------------------------- -*/
/* Mobile */
@media only screen and (min-width: 0em) {
  /* New Folder Modal */
  .modal-template1 form {
    padding: 0 0.8em 0 0.8em;
  }
  .modal-template1 form label {
    display: block;
    font-size: 0.65em;
    line-height: 1.53846154;
    color: #14142b;
    margin-bottom: 0.92307692em;
  }
  .modal-template1 form input {
    font-size: 0.9em;
    height: 2.66666667em;
    background: #F3F3F4;
    border: 1px solid #E8E9EC;
    box-sizing: border-box;
    border-radius: 0.44444444em;
    padding-left: 0.88888889em;
    width: 100%;
    display: block;
    margin-bottom: 0.88888889em;
  }
  .modal-template1 form input::placeholder {
    color: var(--neutralLabel);
  }
  .modal-template1 form .button-solid {
    display: block;
    border: none;
    font-size: 0.8em;
    font-family: var(--ubuntoFont);
    font-weight: bold;
    color: #fff;
    background-color: var(--primary);
    line-height: 3.125em;
    border-radius: 0.25em;
    width: 100%;
  }
  #registration {
    font-size: 100%;
    padding: 7.375em 0em 0;
    align-items: flex-start;
  }
  #registration #close-reg {
    position: absolute;
    top: 1em;
    right: 1em;
    background-color: #F3F3F4;
    width: 1.875em;
    height: 1.875em;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    border: none;
  }
  #registration #close-reg img {
    width: 1em;
    height: 1em;
  }
  #registration .container {
    /* 16px - 50px */
    padding: 1.5em clamp(1rem, 4vw, 3.125rem);
    overflow: scroll;
    position: relative;
    width: 100%;
    max-width: 100%;
  }
  #registration h2 {
    text-align: center;
    /* 25px -39px */
    font-size: clamp(1.5625rem, 5vw, 2.4375rem);
    margin-bottom: 1rem;
  }
  #registration p {
    width: 100%;
    margin: auto;
    text-align: center;
    color: #4E4B66;
    margin-bottom: 2.5rem;
  }
  #registration #registration-form,
  #registration #basic-registration-form {
    padding: 0;
  }
  #registration #registration-form .plans,
  #registration #basic-registration-form .plans {
    background: #F8F8FA;
    border: 1px solid #E8E7E8;
    padding: 0 1.125em;
  }
  #registration #registration-form .plans.active .month,
  #registration #basic-registration-form .plans.active .month {
    display: none;
  }
  #registration #registration-form .plans.active .yearly,
  #registration #basic-registration-form .plans.active .yearly {
    display: block;
  }
  #registration #registration-form .plans label,
  #registration #basic-registration-form .plans label {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.125em;
    color: #4E4B66;
    margin: 0;
    padding: 0.88888889em 0;
    border-bottom: 1px solid #E8E7E8;
  }
  #registration #registration-form .plans label:last-of-type,
  #registration #basic-registration-form .plans label:last-of-type {
    border: none;
  }
  #registration #registration-form .plans label .price,
  #registration #basic-registration-form .plans label .price {
    font-weight: bold;
    display: inline-block;
    margin-left: 0.55555556em;
    font-family: var(--ubuntoFont);
  }
  #registration #registration-form .plans label .yearly,
  #registration #basic-registration-form .plans label .yearly {
    display: none;
  }
  #registration #registration-form .plans label input,
  #registration #basic-registration-form .plans label input,
  #registration #registration-form .plans label select,
  #registration #basic-registration-form .plans label select {
    width: 0.88888889em;
    height: 0.88888889em;
    margin: 0;
    margin-right: 1.22222222em;
    border-radius: 50%;
    border: 1px solid #B3B1B7;
    background: #FFFFFF;
  }
  #registration #registration-form .toggle-group,
  #registration #basic-registration-form .toggle-group {
    background: #F8F8FA;
    border: 1px solid #E8E7E8;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: auto;
    width: 12.5em;
    margin-bottom: 3.375em;
    margin-top: 0.5em;
    width: 100%;
    height: 3.0625em;
  }
  #registration #registration-form .toggle-group.active .toggle:before,
  #registration #basic-registration-form .toggle-group.active .toggle:before {
    opacity: 1;
  }
  #registration #registration-form .toggle-group.active .toggle .toggle-switch,
  #registration #basic-registration-form .toggle-group.active .toggle .toggle-switch {
    left: 1.4375em;
  }
  #registration #registration-form .toggle-group .plan,
  #registration #basic-registration-form .toggle-group .plan {
    font-size: 1em;
    color: #4E4B66;
    font-weight: 500;
  }
  #registration #registration-form .toggle-group .plan:hover,
  #registration #basic-registration-form .toggle-group .plan:hover {
    cursor: pointer;
  }
  #registration #registration-form .toggle-group .toggle,
  #registration #basic-registration-form .toggle-group .toggle {
    width: 3em;
    height: 1.75em;
    border-radius: 2.5em;
    background-color: #3F88F5;
    margin: 0 0.75em;
    position: relative;
  }
  #registration #registration-form .toggle-group .toggle:hover,
  #registration #basic-registration-form .toggle-group .toggle:hover {
    cursor: pointer;
  }
  #registration #registration-form .toggle-group .toggle:before,
  #registration #basic-registration-form .toggle-group .toggle:before {
    /* top right box */
    content: '';
    width: 100%;
    height: 100%;
    background: linear-gradient(90deg, #ffba43 -24.69%, #e12213 126.23%);
    opacity: 0;
    position: absolute;
    display: block;
    top: 0;
    left: 0;
    border-radius: 2.5em;
    transition: opacity .3s;
  }
  #registration #registration-form .toggle-group .toggle .toggle-switch,
  #registration #basic-registration-form .toggle-group .toggle .toggle-switch {
    width: 1.375em;
    height: 1.375em;
    display: block;
    border-radius: 50%;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: 0.1875em;
    transition: left .3s;
    background: #fff;
  }
  #registration #registration-form .left-form,
  #registration #basic-registration-form .left-form {
    border-bottom: 1px solid #E8E7E8;
    padding-bottom: 2em;
  }
  #registration #registration-form .left-form label:last-of-type,
  #registration #basic-registration-form .left-form label:last-of-type {
    margin-bottom: 0;
  }
  #registration #registration-form .right-form,
  #registration #basic-registration-form .right-form {
    padding-top: 2em;
  }
  #registration #registration-form label,
  #registration #basic-registration-form label {
    font-size: 1em;
    color: #4E4B66;
    font-weight: bold;
    line-height: 1.3125em;
    margin-bottom: 1.5em;
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
  }
  #registration #registration-form label .cards,
  #registration #basic-registration-form label .cards {
    font-size: min(4.4vw, 1em);
    width: 7.5em;
    height: 1em;
    position: absolute;
    right: 1rem;
    bottom: 1.125rem;
    pointer-events: none;
    align-self: flex-end;
  }
  #registration #registration-form label input,
  #registration #basic-registration-form label input,
  #registration #registration-form label select,
  #registration #basic-registration-form label select {
    background: #F3F3F4;
    border-radius: 0.5em;
    border: 1px solid #E8E9EC;
    margin-top: 0.1875em;
    height: 3em;
    margin-bottom: 0;
    width: 100%;
    padding-left: 0.625rem;
  }
  #registration #registration-form label input::placeholder,
  #registration #basic-registration-form label input::placeholder,
  #registration #registration-form label select::placeholder,
  #registration #basic-registration-form label select::placeholder {
    font-size: 0.8125em;
    color: #B3B1B7;
  }
  #registration #registration-form .flex-group,
  #registration #basic-registration-form .flex-group {
    display: flex;
    justify-content: space-between;
    align-items: center;
    column-gap: 1.5em;
  }
  #registration #registration-form .button-solid,
  #registration #basic-registration-form .button-solid {
    font-size: 1.125rem;
    width: 7.16666667em;
    line-height: 3.125rem;
    height: 3.125rem;
  }
  #registration #basic-registration-form {
    margin: auto;
    max-width: 23em;
  }
  #registration #basic-registration-form .left-form {
    border: none;
  }
}
/* Tablet - 768px */
@media only screen and (min-width: 48em) {
  #registration {
    padding-top: 6.25em;
  }
  #registration .container {
    width: 96%;
    max-width: 52.25em;
    position: relative;
    padding: 3.125em;
    overflow: visible;
  }
  #registration #close-reg {
    width: 3em;
    height: 3em;
    top: 3.125em;
    right: 3.125em;
  }
  #registration #close-reg img {
    width: 1.5em;
    height: 1.5em;
    transition: transform .3s;
  }
  #registration #close-reg:hover img {
    transform: rotate(90deg);
  }
  #registration #registration-form .plans {
    display: flex;
    justify-content: center;
    font-size: min(2vw, 1em);
  }
  #registration #registration-form .plans label {
    width: 33.33%;
    border: none;
  }
  #registration #registration-form .toggle-group {
    max-width: 24.3125em;
    font-size: min(2vw, 1em);
  }
  #registration #registration-form .form-flex-group {
    display: flex;
    justify-content: center;
    align-items: flex-start;
    column-gap: 3em;
    font-size: min(2vw, 1em);
  }
  #registration #registration-form .left-form,
  #registration #registration-form .right-form {
    padding: 0;
    margin: 0;
    width: 50%;
    border: none;
  }
  #registration #registration-form label .cards {
    bottom: 0.8125em;
  }
  #registration #registration-form .button-solid {
    margin-top: 1.5em;
  }
}
/* Tablet - 1200px */
@media only screen and (min-width: 75em) {
  #registration {
    font-size: 16px;
    padding-top: 9.375em;
    box-sizing: content-box;
  }
}
/* Dark Mode */
@media only screen and (min-width: 0em) {
  body.dark-mode #registration p {
    color: #69E0DB;
  }
  body.dark-mode #registration #registration-form .plans {
    background-color: var(--medium);
    border: 1px solid rgba(255, 255, 255, 0.5);
  }
  body.dark-mode #registration #registration-form .toggle-group {
    background-color: var(--medium);
    border: 1px solid rgba(255, 255, 255, 0.5);
  }
  body.dark-mode #registration #registration-form .toggle-group .plan {
    color: #FAFBFC;
  }
  body.dark-mode #registration #registration-form label {
    color: #FAFBFC;
  }
  body.dark-mode #registration #registration-form label input {
    background-color: transparent;
    color: #FAFBFC;
  }
}

#registration #basic-registration-form label.newsletter-input {
  display: flex;
    align-items: flex-start;
    justify-content: flex-start;
    flex-direction: row;
    gap: 16px;
}

#registration #basic-registration-form label input.newsletter-checkbox {

  width: 32px;
    display: flex;
    align-items: flex-start;
    height: auto;
    font-size: 32px;
}